"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadRequestError = void 0;
const server_1 = require("../../server");
const customError_1 = require("../customError");
class BadRequestError extends customError_1.CustomError {
    statusCode = server_1.StatusCodes.BadRequest;
    constructor(message) {
        super(message, [{ message }]);
    }
}
exports.BadRequestError = BadRequestError;
