"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotAuthorizedError = void 0;
const server_1 = require("../../server");
const customError_1 = require("../customError");
class NotAuthorizedError extends customError_1.CustomError {
    statusCode = server_1.StatusCodes.NotAuthorized;
    constructor(message = 'Not authorized') {
        super(message, [{ message }]);
    }
}
exports.NotAuthorizedError = NotAuthorizedError;
