"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotFoundError = void 0;
const server_1 = require("../../server");
const customError_1 = require("../customError");
class NotFoundError extends customError_1.CustomError {
    statusCode = server_1.StatusCodes.NotFound;
    constructor(message = 'Not found') {
        super(message, [{ message }]);
    }
}
exports.NotFoundError = NotFoundError;
