import { EventBus, Events, SubscribeOptions } from '.';
export declare class RabbitEventBus extends EventBus {
    #private;
    constructor();
    createPublisher<Event extends Events[keyof Events]>(topic: Event['topic']): {
        publish: (data: Event["data"]) => Promise<boolean>;
    };
    createSubscriber<Event extends Events[keyof Events]>(topic: Event['topic'], onMessage: (data: Event['data']) => Promise<void>, options?: Partial<SubscribeOptions>): {
        subscribe: () => Promise<void>;
    };
}
