"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaulInstanceSetting = void 0;
exports.defaulInstanceSetting = {
    accessTokenKey: 'accessTokenKey',
    accessTokenTTL: 60 * 60,
    refreshTokenKey: 'refreshTokenKey',
    refreshTokenTTL: 14 * 24 * 60 * 60,
    debeziumUrl: '',
    mongoDbURI: '',
    rabbitURI: '',
    redisURI: '',
    kafkaURIs: [],
    appId: 'appId',
    bullQueueName: 'appTasksQueue',
    eventColumnName: 'appEventsColumn',
    maxFileUploadSizeInMb: 500,
    useRateLimit: false,
    rateLimitPeriodInMs: 60 * 60 * 1000,
    rateLimit: 5000,
    useSlowDown: false,
    slowDownPeriodInMs: 10 * 60 * 1000,
    slowDownAfter: 2000,
    slowDownDelayInMs: 500,
    hashSaltRounds: 10,
    paginationDefaultLimit: 100,
    server: 'express',
    openapiDocsVersion: '1.0.0',
    openapiDocsBaseUrl: ['/'],
    openapiDocsPath: '/__docs',
    logLevel: 'info',
    logRequests: true,
    requestSchemaValidation: false,
};
