"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseJSONValue = void 0;
const parseJSONValue = (data) => {
    try {
        if (data?.constructor?.name !== 'String')
            return data;
        return JSON.parse(data);
    }
    catch {
        return data;
    }
};
exports.parseJSONValue = parseJSONValue;
