import mongoose from 'mongoose';
import { BaseEntity } from '../../structure';
import { DbChange, DbChangeCallbacks } from '../_instance';
export declare class MongoDbChange<Model, Entity extends BaseEntity<any, any>> extends DbChange<Model, Entity> {
    #private;
    constructor(model: mongoose.Model<Model>, callbacks: DbChangeCallbacks<Model, Entity>, mapper: (model: Model | null) => Entity | null);
    start(): Promise<void>;
}
