import { Enum, IEmailsList } from '../enums/types';
export type PhoneText = {
    to: string;
    from: string;
    content: string;
};
export type Email = {
    to: string;
    subject: string;
    content: string;
    from: Enum<IEmailsList>;
    data: {};
};
export declare const readEmailFromPug: (filePath: string, data: Record<string, any>) => Promise<string>;
