import { IAuthRole, IAuthTypes, ICronLikeJobs, ICronTypes, IDelayedJobs, IEmailsList, IEventTypes } from './types';
type Keys = keyof {
    AuthRole: IAuthRole;
    AuthTypes: IAuthTypes;
    EmailsList: IEmailsList;
    EventTypes: IEventTypes;
    DelayedJobs: IDelayedJobs;
    CronLikeJobs: ICronLikeJobs;
    CronTypes: ICronTypes;
};
export declare let AuthRole: IAuthRole;
export declare let AuthTypes: IAuthTypes;
export declare let EmailsList: IEmailsList;
export declare let EventTypes: IEventTypes;
export declare let DelayedJobs: IDelayedJobs;
export declare let CronLikeJobs: ICronLikeJobs;
export declare let CronTypes: ICronTypes;
export declare const makeEnum: <T extends Record<string, any>>(key: Keys, obj: T) => Readonly<T>;
export {};
