"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeEnum = exports.CronTypes = exports.CronLikeJobs = exports.DelayedJobs = exports.EventTypes = exports.EmailsList = exports.AuthTypes = exports.AuthRole = void 0;
const types_1 = require("./types");
exports.AuthRole = types_1.DefaultAuthRole;
exports.AuthTypes = types_1.DefaultAuthTypes;
exports.EmailsList = types_1.DefaultEmailsList;
exports.EventTypes = types_1.DefaultEventTypes;
exports.DelayedJobs = types_1.DefaultDelayedJobs;
exports.CronLikeJobs = types_1.DefaultCronLikeJobs;
exports.CronTypes = types_1.DefaultCronTypes;
const makeEnum = (key, obj) => {
    if (key === 'AuthRole')
        return exports.AuthRole = { ...exports.AuthRole, ...obj };
    if (key === 'AuthTypes')
        return exports.AuthTypes = { ...exports.AuthTypes, ...obj };
    if (key === 'EmailsList')
        return exports.EmailsList = { ...exports.EmailsList, ...obj };
    if (key === 'EventTypes')
        return exports.EventTypes = { ...exports.EventTypes, ...obj };
    if (key === 'DelayedJobs')
        return exports.DelayedJobs = { ...exports.DelayedJobs, ...obj };
    if (key === 'CronLikeJobs')
        return exports.CronLikeJobs = { ...exports.CronLikeJobs, ...obj };
    if (key === 'CronTypes')
        return exports.CronTypes = { ...exports.CronTypes, ...obj };
    return obj;
};
exports.makeEnum = makeEnum;
