"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessTokenExpired = void 0;
const server_1 = require("../../server");
const customError_1 = require("../customError");
class AccessTokenExpired extends customError_1.CustomError {
    statusCode = server_1.StatusCodes.AccessTokenExpired;
    constructor(message = 'Access token expired') {
        super(message, [{ message }]);
    }
}
exports.AccessTokenExpired = AccessTokenExpired;
