"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotAuthenticatedError = void 0;
const server_1 = require("../../server");
const customError_1 = require("../customError");
class NotAuthenticatedError extends customError_1.CustomError {
    statusCode = server_1.StatusCodes.NotAuthenticated;
    constructor(message = 'Not authenticated') {
        super(message, [{ message }]);
    }
}
exports.NotAuthenticatedError = NotAuthenticatedError;
