"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RefreshTokenMisusedError = void 0;
const server_1 = require("../../server");
const customError_1 = require("../customError");
class RefreshTokenMisusedError extends customError_1.CustomError {
    statusCode = server_1.StatusCodes.NotAuthenticated;
    constructor(message = 'Refresh token misused') {
        super(message, [{ message }]);
    }
}
exports.RefreshTokenMisusedError = RefreshTokenMisusedError;
