"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnvOrFail = void 0;
const dotenv_1 = __importDefault(require("dotenv"));
const exit_1 = require("./exit");
dotenv_1.default.config();
__exportStar(require("./db"), exports);
__exportStar(require("./emails"), exports);
__exportStar(require("./enums"), exports);
__exportStar(require("./errors"), exports);
__exportStar(require("./exit"), exports);
__exportStar(require("./instance"), exports);
__exportStar(require("./listeners"), exports);
__exportStar(require("./scripts"), exports);
__exportStar(require("./server"), exports);
__exportStar(require("./storage"), exports);
__exportStar(require("./structure"), exports);
__exportStar(require("./types"), exports);
__exportStar(require("./utils/auth"), exports);
__exportStar(require("./utils/authUser"), exports);
__exportStar(require("./utils/retry"), exports);
__exportStar(require("./utils/tokens"), exports);
__exportStar(require("./utils/utils"), exports);
__exportStar(require("./validations"), exports);
const getEnvOrFail = (key) => {
    const value = process.env[key];
    if (value)
        return value;
    (0, exit_1.exit)(`Environment variable not found: ${key}`);
    return '';
};
exports.getEnvOrFail = getEnvOrFail;
