export declare const signinWithGoogle: (idToken: string) => Promise<{
    email: string;
    email_verified: "true" | "false";
    first_name: string;
    last_name: string;
    picture: string;
    sub: string;
} & Record<string, any>>;
export declare const signinWithApple: (idToken: string) => Promise<{
    email?: string;
    sub: string;
    email_verified?: "true" | "false";
    is_private_email?: "true" | "false";
} & Record<string, any>>;
export declare const signinWithFacebook: (accessToken: string, fields?: string[]) => Promise<{
    id: string;
    email: string;
    email_verified: "true" | "false";
    name: string;
    picture: {
        data: {
            height: number;
            is_silhouette: boolean;
            url: string;
            width: number;
        };
    };
} & Record<string, any>>;
