"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMediaDuration = void 0;
const music_metadata_1 = require("music-metadata");
const getMediaDuration = async (buffer) => {
    try {
        const meta = await (0, music_metadata_1.parseBuffer)(buffer);
        return meta.format.duration ?? 0;
    }
    catch {
        return 0;
    }
};
exports.getMediaDuration = getMediaDuration;
