"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Random = void 0;
exports.clone = clone;
const crypto_1 = __importDefault(require("crypto"));
class Random {
    static string(length = 20) {
        return crypto_1.default.randomBytes(length).toString('hex').slice(0, length);
    }
    static number(min = 0, max = 2 ** 48 - 1) {
        return crypto_1.default.randomInt(min, max);
    }
}
exports.Random = Random;
function clone(value) {
    try {
        return structuredClone(value);
    }
    catch {
        return value;
    }
}
